//
//  RootViewController.m
//  webToll
//
//  Created by Blain Hamon on 10/14/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "RootViewController.h"

NSArray * pageArray = nil;
NSURLCache * cachy = nil;

@implementation RootViewController
@synthesize pageIndex, newPageButton;

#pragma mark -
#pragma mark View lifecycle

+(void)initialize
{
	NSString * diskpath = NSTemporaryDirectory();

	NSURLCache * cachy = [[NSURLCache alloc] initWithMemoryCapacity:1024*1024*10 diskCapacity:1024*1024*50 diskPath:diskpath];
	[NSURLCache setSharedURLCache:cachy];
	pageArray = [[NSArray alloc] initWithObjects:
		@"http://epicwinftw.com/",
		@"http://icanhascheezburger.com/",
		@"http://ihasahotdog.com/",
		@"http://failbook.failblog.org/",
		@"http://failblog.org/",
		@"http://verydemotivational.com/",
		@"http://bobshouseofvideogames.com/",
		@"http://thereifixedit.failblog.org/",
		@"http://upnextinsports.com/",
		@"http://hackedirl.com/",
		@"http://thatwillbuffout.com/",
		@"http://friendsofirony.com/",
		@"http://senorgif.com/",
		@"http://pictureisunrelated.com/",
		@"http://derp.cheezburger.com/",
		@"http://www.apple.com",
		nil
	];
}

-(IBAction)jettisonCache:(id)sender
{
	NSLog(@"We had %d RAM, %d disk,",[cachy currentMemoryUsage],[cachy currentDiskUsage]);
	[cachy removeAllCachedResponses];
	NSLog(@"But now it's %d RAM, %d disk.",[cachy currentMemoryUsage],[cachy currentDiskUsage]);
}

- (void)viewDidLoad {
    [super viewDidLoad];
	if (webby == nil)
	{
		webby = [[UIWebView alloc] initWithFrame:[[self view] bounds]];
		[webby setAutoresizingMask:UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight];
		NSURL * myUrl = [NSURL URLWithString:[pageArray objectAtIndex:pageIndex]];
		NSURLRequest * myUrlRequest = [NSURLRequest requestWithURL:myUrl];
		[(UIWebView *)webby loadRequest:myUrlRequest];
	}
	[(UIView *)[self view] insertSubview:webby atIndex:0];
	
	[[self navigationItem] setTitle:[NSString stringWithFormat:@"Page %d",pageIndex]];
	[[self navigationItem] setRightBarButtonItem:newPageButton];
}

#pragma mark -
#pragma mark Table view data source

// Customize the number of sections in the table view.
-(IBAction) newPage:(id)sender;
{
	RootViewController * newVC = [[RootViewController alloc] initWithNibName:@"RootViewController" bundle:nil];
	[newVC setPageIndex:pageIndex + 1];
	[[self navigationController] pushViewController:newVC animated:YES];
	[newVC release];
}

#pragma mark -
#pragma mark Memory management

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
	NSLog(@"PANIC!");
    [super didReceiveMemoryWarning];
    
    // Relinquish ownership any cached data, images, etc that aren't in use.
}

#define PURGE_WEB_PAGE	0

- (void)viewDidUnload {
    // Relinquish ownership of anything that can be recreated in viewDidLoad or on demand.
    // For example: self.myOutlet = nil;
	NSLog(@"BAILED!");
	
	if(PURGE_WEB_PAGE){
		[webby removeFromSuperview];
		[webby release];
		webby = nil;
	}
}


- (void)dealloc {
	[webby release];
	[newPageButton release];
    [super dealloc];
}


@end

